DELUSER(8)

NAME
deluser, delgroup - remove a user or group from the system

SYNOPSIS
deluser [options] [--remove-home] [--home DIR] [--remove-all-files] [--backup] [--backup-to] user

deluser --group [options] group
delgroup [options] [--only-if-empty] group

deluser [options] user group

  COMMON OPTIONS
[--quiet] [--system] [--help] [--version] [--conf FILE]

DESCRIPTION

deluser and delgroup remove users and groups from the system according to command line options and configuration information in /etc/deluser.conf and /etc/adduser.conf. They are friendlier front ends to the userdel and groupdel programs, removing the home directory as option or even all files on the system owned by the user to be removed, running a custom script, and other features. deluser and delgroup can be run in one of three modes:

  Remove a normal user
If called with one non-option argument and without the --group option, deluser will remove a normal user. By default, deluser will remove the user without removing the home directory, the mail spool or any other files on the system owned by the user. Removing the home directory and mail spool can be achieved using the --remove-home option. If the --home option is given, deluser will only remove the user if the directory given to the --home option matches the user's real home directory. The --remove-all-files option removes all files on the system owned by the user. Note that if you activate both options --remove-home will have no effect because all files including the home directory and mail spool are already covered by the --remove-all-files option. If you want to backup all files before deleting them you can activate the --backup option which will create a file username.tar(.gz|.bz2) in the directory specified by the --backup-to option (defaulting to the current working directory). Both the remove and backup options can also be activated for default in the configuration file /etc/deluser.conf. See deluser.conf(5) for details. If the file /usr/local/sbin/deluser.local exists, it will be executed after the user account has been removed in order to do any local setup. The arguments passed to deluser.local are:
username uid gid home-directory

  Remove a group
If deluser is called with the --group option, or delgroup is called, a group will be removed. Warning: If any users have the group to be removed as primary group the group cannot be removed. If the option --only-if-empty is given, the group won't be removed if it has any members left.

  Remove an user from a specific group
If called with two non-option arguments, deluser will remove an user from a specific group.

OPTIONS

--conf FILE
    Use FILE instead of /etc/deluser.conf.

--group
    Remove a group. This is the default action if the program is invoked as delgroup.

--help
    Display brief instructions.

--quiet
    Suppress progress messages.

--system
    Only delete if user/group is a system user/group. This avoids accidentally deleting non-system user/groups. Additionally, if the user does not exist, no error value is returned. This option is mainly for use in Debian package maintainer scripts.

--version
    Display version and copyright information.

FILES
/etc/deluser.conf

SEE ALSO
deluser.conf(5), adduser(8), userdel(8), groupdel(8)

COPYRIGHT
Copyright (C) 2000 Roland Bauerschmidt. Modifications (C) 2004 Marc Haber. This manpage and the deluser program is based on adduser which is:
Copyright (C) 1997, 1998, 1999 Guy Maor.
Copyright (C) 1995 Ted Hajek, with a great deal borrowed from the original Debian adduser
Copyright (C) 1994 Ian Murdock. deluser is free software; see the GNU General Public Licence version 2 or later for copying conditions. There is no warranty.